#
# spec file for package perl-Digest-CRC
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Digest-CRC
Version:        0.21
Release:        lp152.3.4
#Upstream:  CRC algorithm code taken from "A PAINLESS GUIDE TO CRC ERROR DETECTION ALGORITHMS". the public domain.
%define cpan_name Digest-CRC
Summary:        Generic CRC functions
License:        SUSE-Public-Domain
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Digest-CRC/
Source0:        http://www.cpan.org/authors/id/O/OL/OLIMAUL/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
The *Digest::CRC* module calculates CRC sums of all sorts. It contains
wrapper functions with the correct parameters for CRC-CCITT, CRC-16, CRC-32
and CRC-64, as well as the CRC used in OpenPGP's ASCII-armored checksum.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Fri Apr 17 2015 coolo@suse.com
- updated to 0.21
  see /usr/share/doc/packages/perl-Digest-CRC/Changes
  0.21  Sat Feb 21 13:18:25 2015
  - new() throwing an error if an unsupported type is specified
* Mon Feb  9 2015 opensuse@dstoecker.de
- update to version 0.20 bug-fix release
* Wed Feb 15 2012 opensuse@dstoecker.de
- update to new 0.18 bug-fix release
- added openpgparmor support
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Sep 14 2011 opensuse@dstoecker.de
- update to new 0.17 bug-fix release
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Thu Sep 30 2010 opensuse@dstoecker.de
- updated
* Tue Sep 28 2010 opensuse@dstoecker.de
- updated
* Fri Feb  8 2008 opensuse@dstoecker.de
- updated
  Thu Oct 25 00:00:00 UTC 2007 - Peter Eisentraut 0.10
- initial package release
